Index: src/molecule_graph.cpp
===================================================================
--- src/molecule_graph.cpp	(revision bd6bfac107ab7ca8d1788ff529d3fa4c3a27439f)
+++ src/molecule_graph.cpp	(revision acf8008e455ed1851656ff9d81044edf766929e0)
@@ -1037,12 +1037,12 @@
     line << filename;
   AdjacencyFile.open(line.str().c_str(), ios::out);
-  DoLog(1) && (Log() << Verbose(1) << "Saving adjacency list ... ");
+  DoLog(1) && (Log() << Verbose(1) << "Saving adjacency list ... " << endl);
   if (AdjacencyFile != NULL) {
     AdjacencyFile << "m\tn" << endl;
     ActOnAllAtoms(&atom::OutputAdjacency, &AdjacencyFile);
     AdjacencyFile.close();
-    DoLog(1) && (Log() << Verbose(1) << "done." << endl);
+    DoLog(1) && (Log() << Verbose(1) << "\t... done." << endl);
   } else {
-    DoLog(1) && (Log() << Verbose(1) << "failed to open file " << line.str() << "." << endl);
+    DoLog(1) && (Log() << Verbose(1) << "\t... failed to open file " << line.str() << "." << endl);
     status = false;
   }
@@ -1069,12 +1069,12 @@
     line << filename;
   BondFile.open(line.str().c_str(), ios::out);
-  DoLog(1) && (Log() << Verbose(1) << "Saving adjacency list ... ");
+  DoLog(1) && (Log() << Verbose(1) << "Saving adjacency list ... " << endl);
   if (BondFile != NULL) {
     BondFile << "m\tn" << endl;
     ActOnAllAtoms(&atom::OutputBonds, &BondFile);
     BondFile.close();
-    DoLog(1) && (Log() << Verbose(1) << "done." << endl);
+    DoLog(1) && (Log() << Verbose(1) << "\t... done." << endl);
   } else {
-    DoLog(1) && (Log() << Verbose(1) << "failed to open file " << line.str() << "." << endl);
+    DoLog(1) && (Log() << Verbose(1) << "\t... failed to open file " << line.str() << "." << endl);
     status = false;
   }
Index: tests/regression/Molecules/2/post/test.adj
===================================================================
--- tests/regression/Molecules/2/post/test.adj	(revision bd6bfac107ab7ca8d1788ff529d3fa4c3a27439f)
+++ tests/regression/Molecules/2/post/test.adj	(revision acf8008e455ed1851656ff9d81044edf766929e0)
@@ -1,12 +1,12 @@
 m	n
-0	1	3	4	5	
-1	2	6	7	0	
-2	8	9	10	1	
-3	0	
-4	0	
-5	0	
-6	1	
-7	1	
-8	2	
-9	2	
-10	2	
+0	8	
+1	8	
+2	8	
+3	9	
+4	9	
+5	10	
+6	10	
+7	10	
+8	0	9	1	2	
+9	3	10	4	8	
+10	5	6	7	9	
Index: tests/regression/Molecules/2/post/test.dbond
===================================================================
--- tests/regression/Molecules/2/post/test.dbond	(revision bd6bfac107ab7ca8d1788ff529d3fa4c3a27439f)
+++ tests/regression/Molecules/2/post/test.dbond	(revision acf8008e455ed1851656ff9d81044edf766929e0)
@@ -1,11 +1,11 @@
 m	n
-0	1
-0	3
-0	4
-0	5
-1	2
-1	6
-1	7
+0	8
+1	8
 2	8
-2	9
-2	10
+3	9
+4	9
+5	10
+6	10
+7	10
+8	9
+9	10
Index: tests/regression/Molecules/2/pre/test.conf
===================================================================
--- tests/regression/Molecules/2/pre/test.conf	(revision bd6bfac107ab7ca8d1788ff529d3fa4c3a27439f)
+++ tests/regression/Molecules/2/pre/test.conf	(revision acf8008e455ed1851656ff9d81044edf766929e0)
@@ -28,5 +28,5 @@
 OutSrcStep	5	# Output "restart" data every ..th step
 TargetTemp	0.000950045	# Target temperature
-MaxPsiStep	0	# number of Minimisation steps per state (0 - default)
+MaxPsiStep	3	# number of Minimisation steps per state (0 - default)
 EpsWannier	1e-07	# tolerance value for spread minimisation of orbitals
 
@@ -36,5 +36,5 @@
 RelEpsKineticE	1e-05	# relative change in kinetic energy
 MaxMinStopStep	0	# check every ..th steps
-MaxMinGapStopStep	0	# check every ..th steps
+MaxMinGapStopStep	1	# check every ..th steps
 
 # Values specifying when to stop for INIT, otherwise same as above
@@ -43,5 +43,5 @@
 InitRelEpsKineticE	0.0001	# relative change in kinetic energy
 InitMaxMinStopStep	0	# check every ..th steps
-InitMaxMinGapStopStep	0	# check every ..th steps
+InitMaxMinGapStopStep	1	# check every ..th steps
 
 BoxLength			# (Length of a unit cell)
@@ -71,13 +71,13 @@
 Ion_Type2	3	6	1.0	3	3	12.01100000000	Carbon	C
 #Ion_TypeNr._Nr.R[0]    R[1]    R[2]    MoveType (0 MoveIon, 1 FixedIon)
-Ion_Type2_1	9.782085945	3.275186040	3.535886037	0 # molecule nr 0
-Ion_Type2_2	8.532785963	4.158586027	3.535886037	0 # molecule nr 1
-Ion_Type2_3	7.283585982	3.275186040	3.535886037	0 # molecule nr 2
-Ion_Type1_1	9.782085945	2.645886050	2.645886050	0 # molecule nr 3
-Ion_Type1_2	9.782085945	2.645886050	4.425886024	0 # molecule nr 4
-Ion_Type1_3	10.672039608	3.904536878	3.535886037	0 # molecule nr 5
-Ion_Type1_4	8.532785963	4.787886018	2.645886050	0 # molecule nr 6
-Ion_Type1_5	8.532785963	4.787886018	4.425886024	0 # molecule nr 7
-Ion_Type1_6	6.393632318	3.904536877	3.535886037	0 # molecule nr 8
-Ion_Type1_7	7.283585982	2.645886050	2.645886050	0 # molecule nr 9
-Ion_Type1_8	7.283585982	2.645886050	4.425886024	0 # molecule nr 10
+Ion_Type1_1	9.782085945	2.645886050	2.645886050	0 # molecule nr 0
+Ion_Type1_2	9.782085945	2.645886050	4.425886024	0 # molecule nr 1
+Ion_Type1_3	10.672039608	3.904536878	3.535886037	0 # molecule nr 2
+Ion_Type1_4	8.532785963	4.787886018	2.645886050	0 # molecule nr 3
+Ion_Type1_5	8.532785963	4.787886018	4.425886024	0 # molecule nr 4
+Ion_Type1_6	6.393632318	3.904536877	3.535886037	0 # molecule nr 5
+Ion_Type1_7	7.283585982	2.645886050	2.645886050	0 # molecule nr 6
+Ion_Type1_8	7.283585982	2.645886050	4.425886024	0 # molecule nr 7
+Ion_Type2_1	9.782085945	3.275186040	3.535886037	0 # molecule nr 8
+Ion_Type2_2	8.532785963	4.158586027	3.535886037	0 # molecule nr 9
+Ion_Type2_3	7.283585982	3.275186040	3.535886037	0 # molecule nr 10
